Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## oracle.xml.pipeline.processes
Class XPathProcess

`java.lang.Object
oracle.xml.pipeline.controller.Process
oracle.xml.pipeline.processes.XPathProcess`

All Implemented Interfaces:
  java.lang.Runnable, PipelineConstants, ErrorHandler

      public class XPathProcess

extends Process

Extends the pipeline Process class to select node(s) from an XML Document or an XML DocumentFragment, given an XPath pattern. Multiple XPath nodes selected would become a DocumentFragment and a single XPath Node would be converted into an XML Doucument. Hence the output could be a Document or a DocumentFragment. Its parameters are: Inputs - "xml" (dom) Params - "pattern" (String - required) Outputs - "selection" (dom) Outparams - none

Field Summary

Fields inherited from interface oracle.xml.pipeline.controller.PipelineConstants
`COMPSTREAMRESULT, COMPSTREAMSOURCE, DOCFRAG, DOCUMENT, DOMRESULT, DOMSOURCE, ELEMENT, PROCESS_WAITING, SAXRESULT, SAXSOURCE, STREAMRESULT, STREAMSOURCE`

Method Summary

Methods inherited from class oracle.xml.pipeline.controller.Process
`convertFromDOM, convertFromSAX, convertFromStream, error, execute, getErrorDocument, getErrorSource, getErrorStream, getErrorStream, getInParamValue, getInput, getOutParamValue, getOutput, getOutputStream, getOutputWriter, getSAXContentHandler, getSAXErrorHandler, info, initialize, SAXContentHandler, SAXErrorHandler, setOutputResult`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.lang.Runnable
`run`

Methods inherited from interface org.xml.sax.ErrorHandler
`error, fatalError, warning`

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2003, 2009, Oracle and/or its affiliates. All rights reserved.